/**

    Copyright 2007, 2009 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.workflow.api;

public class SpagicWorkflowException extends RuntimeException {
	
	private String code = null;
	public static final String DEFAULT_CODE ="SPWF001";
	
	public SpagicWorkflowException() {
		super();
		this.code = DEFAULT_CODE;
	}
	
	public SpagicWorkflowException(String msg, Throwable thr) {
		super(msg + "\n[Caused by] " + thr.getMessage(), thr);
		this.code = DEFAULT_CODE;
	}
	
	public SpagicWorkflowException(String msg) {
		super(msg);
		this.code = DEFAULT_CODE;
	}
	
	public SpagicWorkflowException(Throwable thr) {
		super(thr);
		this.code = DEFAULT_CODE;
	}
	
	public SpagicWorkflowException(String code, String msg, Throwable thr) {
		super(msg + "\n[Caused by] " + thr.getMessage(), thr);
		this.code = code;
	}
	
	public SpagicWorkflowException(String code, String msg) {
		super(msg);
		this.code = code;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
	

}
